> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Donner Avis



## OpenAPI

````yaml openapi.json post /avis/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /avis/:
    post:
      tags:
        - Avis
        - Avis
      summary: Donner Avis
      operationId: donner_avis_avis__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AvisCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvisRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AvisCreate:
      properties:
        livreur_id:
          type: string
          format: uuid
          title: Livreur Id
        livraison_id:
          type: string
          format: uuid
          title: Livraison Id
        client_id:
          type: string
          format: uuid
          title: Client Id
        commentaire:
          anyOf:
            - type: string
            - nullable: true
          title: Commentaire
        note:
          type: integer
          maximum: 5
          minimum: 1
          title: Note
          description: Note sur 5
      type: object
      required:
        - livreur_id
        - livraison_id
        - client_id
        - note
      title: AvisCreate
    AvisRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        livreur_id:
          type: string
          format: uuid
          title: Livreur Id
        livraison_id:
          type: string
          format: uuid
          title: Livraison Id
        client_id:
          type: string
          format: uuid
          title: Client Id
        commentaire:
          anyOf:
            - type: string
            - nullable: true
          title: Commentaire
        note:
          type: integer
          title: Note
        date_avis:
          type: string
          format: date-time
          title: Date Avis
      type: object
      required:
        - id
        - livreur_id
        - livraison_id
        - client_id
        - commentaire
        - note
        - date_avis
      title: AvisRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.